Subject: Re: bug#17073: 24.3.50; file-symlink-p doesn't return t as described in the doc

From: Michael Heerdegen <[email-masked]>
Date: Tue, 25 Mar 2014 20:21:44 +0100

Eli Zaretskii <[email-masked]> writes:

> >   If the leading directories of @var{filename} include symbolic links,
> >   this function recursively follows them.
> > 
> > Is this obvious?
>
> Hard to say.  I think it's pretty obvious to those who are used to
> semantics of symlinks

I understand it now after thinking about it a bit. Yes, it's quite
obvious.

> > If not - doesn't it also belong in the docstring?
>
> Well, we don't normally say about each file-related function whether
> it does or doesn't follow symlinks.  So why this one?

Ok, I agree.  So I too think we are ready here.

Thanks,

Michael.